Endevor compatibility with COBOL 6.3

book

Article ID: 222173

calendar_today

Updated On:

Products

CA Endevor Software Change Manager (SCM)

Issue/Introduction

Currently running Endevor 18.1 and plan to migrate from COBOL 4.2 to COBOL 6.3. Are there any Endevor 18.1 PTFs required to support COBOL 6.3?

Environment

Release : 18.1

Component : CA Endevor Software Change Manager

Resolution

There are no PTFs required by Endevor to support COBOL 6.3.

Depending on the release of Enterprise COBOL currently being used, consideration may need to be given to some of the following points, documented in the IBM "Enterprise COBOL 6.3 Migration Guide" (https://publibfp.boulder.ibm.com/epubs/pdf/igy6mg30.pdf):
- The compiler produces program objects which need to reside in PDS/E while old compilers produced load modules that could reside in PDS
- At some release, the number of compiler work files increased
- Latest releases of enterprise COBOL tend to be very storage-consuming.

For additional Endevor Knowledge Documents relevant to migrating from COBOL 4.2 to COBOL V5/V6:
Are there any known problems with Endevor and Cobol V5 or V6?
Are your Endevor Processors ready for Enterprise Cobol?
Using the IBM Enterprise COBOL for z/OS 5.1 and above with CA Endevor